PLplot: plplot::pllegend Interface Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
plplot::pllegend Interface Reference

## Public Member Functions
subroutine | pllegend_1 (legend_width, legend_height, opt, position, x, y, plot_width, bg_color, bb_color, bb_style, nrow, ncolumn, nlegend, opt_array, text_offset, text_scale, text_spacing, text_justification, text_colors, text, box_colors, box_patterns, box_scales, box_line_widths, line_colors, line_styles, line_widths, symbol_colors, symbol_scales, symbol_numbers, symbols)
subroutine | pllegend_2 (legend_width, legend_height, opt, position, x, y, plot_width, bg_color, bb_color, bb_style, nrow, ncolumn, opt_array, text_offset, text_scale, text_spacing, text_justification, text_colors, text, box_colors, box_patterns, box_scales, box_line_widths, line_colors, line_styles, line_widths, symbol_colors, symbol_scales, symbol_numbers, symbols)

## Detailed Description

Definition at line 481 of file sfstubsf95.f90.

## Member Function Documentation

subroutine plplot::pllegend::pllegend_1 | ( | real(kind=plflt) | legend_width,
|  | real(kind=plflt) | legend_height,
|  | integer | opt,
|  | integer | position,
|  | real(kind=plflt) | x,
|  | real(kind=plflt) | y,
|  | real(kind=plflt) | plot_width,
|  | integer | bg_color,
|  | integer | bb_color,
|  | integer | bb_style,
|  | integer | nrow,
|  | integer | ncolumn,
|  | integer | nlegend,
|  | integer, dimension(:) | opt_array,
|  | real(kind=plflt) | text_offset,
|  | real(kind=plflt) | text_scale,
|  | real(kind=plflt) | text_spacing,
|  | real(kind=plflt) | text_justification,
|  | integer, dimension(:) | text_colors,
|  | character(len=*), dimension(:) | text,
|  | integer, dimension(:) | box_colors,
|  | integer, dimension(:) | box_patterns,
|  | real(kind=plflt), dimension(:) | box_scales,
|  | real(kind=plflt), dimension(:) | box_line_widths,
|  | integer, dimension(:) | line_colors,
|  | integer, dimension(:) | line_styles,
|  | real(kind=plflt), dimension(:) | line_widths,
|  | integer, dimension(:) | symbol_colors,
|  | real(kind=plflt), dimension(:) | symbol_scales,
|  | integer, dimension(:) | symbol_numbers,
|  | character(len=*), dimension(:) | symbols
| ) |  |

Definition at line 1188 of file sfstubsf95.f90.

subroutine plplot::pllegend::pllegend_2 | ( | real(kind=plflt) | legend_width,
|  | real(kind=plflt) | legend_height,
|  | integer | opt,
|  | integer | position,
|  | real(kind=plflt) | x,
|  | real(kind=plflt) | y,
|  | real(kind=plflt) | plot_width,
|  | integer | bg_color,
|  | integer | bb_color,
|  | integer | bb_style,
|  | integer | nrow,
|  | integer | ncolumn,
|  | integer, dimension(:) | opt_array,
|  | real(kind=plflt) | text_offset,
|  | real(kind=plflt) | text_scale,
|  | real(kind=plflt) | text_spacing,
|  | real(kind=plflt) | text_justification,
|  | integer, dimension(:) | text_colors,
|  | character(len=*), dimension(:) | text,
|  | integer, dimension(:) | box_colors,
|  | integer, dimension(:) | box_patterns,
|  | real(kind=plflt), dimension(:) | box_scales,
|  | real(kind=plflt), dimension(:) | box_line_widths,
|  | integer, dimension(:) | line_colors,
|  | integer, dimension(:) | line_styles,
|  | real(kind=plflt), dimension(:) | line_widths,
|  | integer, dimension(:) | symbol_colors,
|  | real(kind=plflt), dimension(:) | symbol_scales,
|  | integer, dimension(:) | symbol_numbers,
|  | character(len=*), dimension(:) | symbols
| ) |  |

Definition at line 1236 of file sfstubsf95.f90.

The documentation for this interface was generated from the following file:

- sfstubsf95.f90